Index: ThirdParty/CodePatterns/bootstrap
===================================================================
--- ThirdParty/CodePatterns/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/CodePatterns/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -7,7 +7,7 @@
 # create ChangeLog from log of git repo
 if test ! -e ChangeLog; then
-        git log > ChangeLog
+        git log ./ > ChangeLog
 else
-        if git log > ChangeLog.t \
+        if git log ./ > ChangeLog.t \
            && ! diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
                 mv -f ChangeLog.t ChangeLog
@@ -17,10 +17,9 @@
 fi
 
-# create config dir which is filled automatically
-if test ! -e config; then
-        mkdir config
+# create build-aux dir which is filled automatically
+if test ! -e build-aux; then
+        mkdir build-aux
 fi
 
+autoreconf -v -i -I build-aux -I m4
 
-autoreconf -v -i -I config -I m4
-
Index: ThirdParty/CodePatterns/configure.ac
===================================================================
--- ThirdParty/CodePatterns/configure.ac	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/CodePatterns/configure.ac	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -4,5 +4,5 @@
 AC_PREREQ([2.65])
 AC_INIT([LibCodePatterns], [1.3.2], [heber@ins.uni-bonn.de], [libcodepatterns], [http://trac.ins.uni-bonn.de/projects/CodePatterns/])
-AC_CONFIG_AUX_DIR(config)
+AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_SRCDIR([src/codepatterns-config-main.cpp])
 AC_CONFIG_HEADERS([config.h libcodepatterns_config.h])
Index: ThirdParty/JobMarket/bootstrap
===================================================================
--- ThirdParty/JobMarket/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/JobMarket/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -7,7 +7,7 @@
 # create ChangeLog from log of git repo
 if test ! -e ChangeLog; then
-        git log > ChangeLog
+        git log ./ > ChangeLog
 else
-        if git log > ChangeLog.t \
+        if git log ./ > ChangeLog.t \
            && diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
                 mv -f ChangeLog.t ChangeLog
@@ -17,4 +17,7 @@
 fi
 
+if test ! -e build-aux; then
+        mkdir build-aux
+fi
 
 autoreconf -v -i -I build-aux -I m4
Index: ThirdParty/LinearAlgebra/bootstrap
===================================================================
--- ThirdParty/LinearAlgebra/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/LinearAlgebra/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -7,7 +7,7 @@
 # create ChangeLog from log of git repo
 if test ! -e ChangeLog; then
-        git log > ChangeLog
+        git log ./ > ChangeLog
 else
-        if git log > ChangeLog.t \
+        if git log ./ > ChangeLog.t \
            && diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
                 mv -f ChangeLog.t ChangeLog
@@ -17,4 +17,7 @@
 fi
 
+if test ! -e build-aux; then
+        mkdir build-aux
+fi
 
 autoreconf -v -i -I build-aux -I m4
Index: ThirdParty/levmar/bootstrap
===================================================================
--- ThirdParty/levmar/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/levmar/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -7,7 +7,7 @@
 # create ChangeLog from log of git repo
 if test ! -e ChangeLog; then
-        git log > ChangeLog
+        git log ./ > ChangeLog
 else
-        if git log > ChangeLog.t \
+        if git log ./ > ChangeLog.t \
            && diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
                 mv -f ChangeLog.t ChangeLog
@@ -17,4 +17,7 @@
 fi
 
+if test ! -e build-aux; then
+        mkdir build-aux
+fi
 
 autoreconf -v -i -I build-aux -I m4
Index: ThirdParty/mpqc_open/bootstrap
===================================================================
--- ThirdParty/mpqc_open/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/mpqc_open/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -7,7 +7,7 @@
 # create ChangeLog from log of git repo
 if test ! -e ChangeLog; then
-        git log > ChangeLog
+        git log ./ > ChangeLog
 else
-        if git log > ChangeLog.t \
+        if git log ./ > ChangeLog.t \
            && diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
                 mv -f ChangeLog.t ChangeLog
@@ -17,4 +17,7 @@
 fi
 
+if test ! -e build-aux; then
+        mkdir build-aux
+fi
 
 autoreconf -v -i -I build-aux -I m4
Index: ThirdParty/vmg/bootstrap
===================================================================
--- ThirdParty/vmg/bootstrap	(revision c3f7959e9d2e69c030026730b7bfc8d1664a12ac)
+++ ThirdParty/vmg/bootstrap	(revision d8a1ff61fa415e84a2ed0b219f2815fee6e81ea3)
@@ -1,3 +1,23 @@
 #! /bin/sh
+# bootstrap git sources
+# This file is not distributed.
 
-autoreconf -vi
+set -x
+
+# create ChangeLog from log of git repo
+if test ! -e ChangeLog; then
+        git log ./ > ChangeLog
+else
+        if git log ./ > ChangeLog.t \
+           && diff ChangeLog.t ChangeLog >/dev/null 2>&1; then
+                mv -f ChangeLog.t ChangeLog
+        else
+                rm -f ChangeLog.t
+        fi
+fi
+
+if test ! -e build-aux; then
+        mkdir build-aux
+fi
+
+autoreconf -v -i -I build-aux -I m4
